{% extends 'shop/base.html' %}
{% load static %}
{% block title %}
    Your Shopping Cart| Checkout
{% endblock %}

{% block content %}
    <div class="container">
        <div class="row" style="margin-top: 6%">
            <div class="col-md-8">
                <h4 class="page-header">Checkout</h4>
                <form action="." method="post">
                    {% csrf_token %}
                    {{ form.as_p }}<br>
                    <input type="submit" class="btn btn-primary" value="Submit order" onclick="submitButton()">
                    <script>
                        function submitButton(){
                            fbq('track', 'CompleteRegistration', {value: 10000000, currency: 'BDT',});
                        };
                    </script>
                          
                </form>
            </div>
            <div class="col-md-4">
                <div class="page-header">
                    Your Order
                </div>
                <ul class="list-group">
                    {% for item in cart %}
                        <li class="list-group-item">
                        {{ item.quantity }}x {{ item.product.name }}
                        <span>Tk. {{ item.total_price }}</span>
                        </li>
                    {% endfor %}

                <li class="list-group-item active">Total Cost: Tk. {{ cart.get_total_price }}</li>
                </ul>

            </div>
        </div>
    </div>
{% endblock %}